<script setup lang="ts">
import { ElConfigProvider } from 'element-plus'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import useMainStore from '@/store/main'
import useMainLayoutStore from '@/store/layout'

const mainStore = useMainStore()
const mainLayoutStore = useMainLayoutStore()

if (mainStore.loginInfo) {
  mainStore.getMyUserInfo()
  mainLayoutStore.getRenderMenuList()
}
</script>

<template>
  <el-config-provider :locale="zhCn">
    <RouterView></RouterView>
  </el-config-provider>
</template>

<style scoped lang="scss"></style>
